<template>
	<!-- 新增申请 -->
	<view class="new-application">
		<!-- 搜索区域 -->
		<!-- <view class="searchBox">
			<view class="search">
				<u-search @clickIcon="searchIconClick" :clearabled="false" :showAction="false" placeholder="请输入标题" v-model="searchData" shape="square"></u-search>
			</view>
			<view class="data-selet" @click="statusSeletShow = true">
				<view class="content">
					<text>{{ dataSeletText }}</text>
				</view>
				<view class="uni-select__icon"><image src="@/static/icon/select.png" mode="加载失败"></image></view>
			</view>
		</view> -->
		<combined-title title="申请模板"></combined-title>
		<!-- 卡片区域 -->
    <template v-if="permissions.yunxiao_xswaybill_add">
      <view
          class="newApplicationCard"
          @click="toNewApplicationDetails"
          v-for="(item, index) in newApplicationData" :key="index">
        <view class="card">
          <view class="card-left">
            <view class="card-left_top">
              <text>{{ item.description }}</text>
            </view>
            <view class="card-left_bottom">
              <text>版本：v{{ item.version }}</text>
              <text>所属分类：{{ item.categoryTitle|| '' }}</text>
            </view>
          </view>
          <view class="card-right">
            <view class="icon"><image src="@/static/groupAppTotalImg/back_1.png" mode=""></image></view>
          </view>
        </view>
      </view>
    </template>

		<view
        v-if="permissions.yunxiao_gatheringbill_add"
        class="newApplicationCard shoukuanDetailCard"
        @click="ToPaymentForm">
			<view class="card">
				<view class="card-left">
					<view class="card-left_bottom">
						<text>新增收款</text>
					</view>
				</view>
				<view class="card-right">
					<view class="icon"><image src="@/static/groupAppTotalImg/back_1.png" mode=""></image></view>
				</view>
			</view>
		</view>


		<!-- 选择器 -->
		<u-picker @cancel="statusSeletShow = false" @confirm="statusConfirm" :show="statusSeletShow" :columns="statusList"></u-picker>

		<!-- 菜单栏 -->
		<popup-menu @menuShow="menushow" ref="menuRef"></popup-menu>
	</view>
</template>

<script>
import popupMenu from '@/components/common/popup-menu/popup-menu.vue';
import combinedTitle from '@/components/common/combined-title/combined-title.vue';
import {mapGetters} from 'vuex'
export default {
	name: 'new-application',
  computed:{
    ...mapGetters(['permissions']),
  },
	data() {
		return {
			searchData: '',
			dataSeletText: '请选择状态',
			// 选择器
			statusSeletShow: false,
			statusList: [['中国', '美国', '日本']],
			menuShow: false,
			updateData: {
				showLatest: true,
				filter: true,
				status: 1,
				pageNumber: 1,
				pageSize: 100,
				sort: 'createTime',
				order: 'desc'
			},
			newApplicationData: []
		};
	},
	onShow() {
		if (this.menuShow == true) {
			this.$refs.menuRef.menuClick();
		}
		this.init();
	},
	getCurrentPages(e) {
	},
	// 点击导航栏菜单后
	onNavigationBarButtonTap(e) {
		// console.log(e);
		this.$refs.menuRef.menuClick();
	},
	components: {
		popupMenu,
		combinedTitle
	},
	methods: {
		init() {
			this.newApplicationData = [];
			uni.showLoading({
				title:'加载中...'
			})
			this.$reqGet('getNewProcessDataList', this.updateData).then(res => {
				uni.hideLoading();
				if (res.code === 0) {
					res.data.records.forEach(item => {
						if (item.name == '发运通知单'||item.description == '发运通知单') {
							this.newApplicationData.push(item);
						}
					});
					console.log('新增', res);
				}
			});
		},
		menushow(e) {
			this.menuShow = e;
		},
		// 搜索
		searchIconClick() {
			console.log(1111, this.searchData);
		},
		// 新增申请表单页
		toNewApplicationDetails() {
			uni.navigateTo({
				url: '/pages/new-application-form-data/new-application-form-data'
			});
		},
		//新增收款明细
		ToPaymentForm() {
			uni.navigateTo({
				url:'/pages/payment-form-data/payment-form-data'
			})
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.new-application {
	// 搜索框
	.searchBox {
		width: 91%;
		display: flex;
		justify-content: space-between;
		margin: vww(16) auto;
		.search {
			width: vww(160);
			border: 1px solid #d1d1d1;
			border-radius: vww(4);
			.u-search {
				.u-search__content {
					height: 40px;
					background-color: #ffffff !important;
					.u-search__content__icon {
						width: 10px;
						height: 5.5px;
					}
					.u-search__content__input {
						background-color: #ffffff !important;
					}
				}
			}
		}
		// 下拉菜单
		.data-selet {
			border: 1px solid #d1d1d1;
			border-radius: 4px;
			width: vww(160);
			// width: 100%;
			height: 40px;
			display: flex;
			align-items: center;
			font-size: 13px;
			color: #666;
			.uni-select__icon {
				display: flex;
				align-content: center;
				margin: 0 10px;
				image {
					width: 10px;
					height: 5.5px;
				}
			}
			.content {
				margin-left: vww(8);
				width: vww(150);
			}
		}
	}

	// 卡片
	.newApplicationCard {
		width: 91%;
		margin: vww(16) auto;
		.card {
			width: 100%;
			height: vww(81);
			display: flex;
			justify-content: space-between;
			align-items: center;
			border: 1px solid rgba(0, 122, 255, 0.18);
			background: rgba(0, 122, 255, 0.04);
			border-radius: vww(4);
			.card-left {
				margin-left: vww(16);
				width: 80%;
				.card-left_top {
					font-size: vww(16);
				}
				.card-left_bottom {
					font-size: vww(13);
					margin-top: vww(12);
					text {
						margin-right: vww(16);
					}
				}
			}
			.card-right {
				margin-right: vww(16);
				.icon {
					image {
						width: vww(9.7);
						height: vww(16);
					}
				}
			}
		}
	}
	.shoukuanDetailCard{
		.card{
			height: auto;
			.card-left_bottom {
				font-size: vww(13);
				margin: vww(12) 0;
				text {
					margin-right: vww(16);
				}
			}
		}
	}
}
</style>
